Module javafx.graphics
Package javafx.css

# Class StyleableFloatProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.FloatPropertyBase
javafx.css.StyleableFloatProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableFloatProperty`

public abstract class StyleableFloatProperty extends FloatPropertyBase implements StyleableProperty<Number>
This class extends `FloatPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `FloatProperty`, that would otherwise be implemented as a `FloatPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  - `FloatPropertyBase`
  - `CssMetaData`
  - `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleableFloatProperty()`
  The constructor of the `StyleableFloatProperty`.
  `StyleableFloatProperty(float initialValue)`
  The constructor of the `StyleableFloatProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyStyle(StyleOrigin origin, Number v)`
  This method is called from CSS code to set the value of the property.
  `StyleOrigin`
  `getStyleOrigin()`
  Tells the origin of the value of the property.

  ### Methods declared in class javafx.beans.property.FloatPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.FloatProperty

  `asObject, bindBidirectional, floatProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyFloatProperty

  `readOnlyFloatProperty`

  ### Methods declared in class javafx.beans.binding.FloatExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `getCssMetaData`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableFloatProperty

    public StyleableFloatProperty()
    The constructor of the `StyleableFloatProperty`.

  - ### StyleableFloatProperty

    public StyleableFloatProperty(float initialValue)
    The constructor of the `StyleableFloatProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### applyStyle

    public void applyStyle(StyleOrigin origin, Number v)
    This method is called from CSS code to set the value of the property.
    Specified by:
      `applyStyle` in interface `StyleableProperty<Number>`
    Parameters:
      `origin` - the origin
      `v` - the value

  - ### getStyleOrigin

    public StyleOrigin getStyleOrigin()
    Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
    Specified by:
      `getStyleOrigin` in interface `StyleableProperty<Number>`
    Returns:
      the style origin